| Home | Libraries | People | FAQ | More

##### remove

###### Description

Returns the result type of `remove`, given the sequence and removal types.

###### Synopsis

    template<
        typename Sequence,
        typename T
        >
    struct remove
    {
        typedef unspecified type;
    };

Table 1.79. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A model of Forward Sequence | Operation's argument
`T` | Any type | Remove elements of this type

###### Expression Semantics

    result_of::remove<Sequence, T>::type

Return type: A model of Forward Sequence.

Semantics: Returns a sequence containing the elements of `Sequence` not of type `T`. Equivalent to ``result_of::replace_if`<Sequence, boost::is_same<mpl::_, T> >::type`.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/transformation/remove.hpp>
    #include <boost/fusion/include/remove.hpp>